---
title: "Orders List"
description: "The Order list endpoint shows the general points of the order in the Customer panel."
canonical: "https://docs.cm.com/mobile-service-cloud/msc-agent-inbox/dynamic-integration/orders-list"
---

# Orders List

> The Order list endpoint shows the general points of the order in the Customer panel.

Source: https://docs.cm.com/mobile-service-cloud/msc-agent-inbox/dynamic-integration/orders-list

The Order list endpoint shows the general points of the order in the Customer panel.

`GET https://example.com/orders?<yourEmailParameter>=$EmailAddress&$FilterField=$FilterValue`

## Parameters

| Name | Required | Description |
| :- | :- | :- |
| $EmailAddress | Yes\* | The email address of the customer |
| $PhoneNumber | Yes\* | The phone number of the customer |
| $FilterField | No\*\* | The name of the field that contains the unique identifier for the customer profile\*\* |
| $FilterValue | No\*\* | The unique identifier for the customer profile\*\* |

\*At least one of the parameters need to be configured.\
\*\* Refer to the section _Customer profile selection_ for more details on how to use these parameters.

##

```json title="Response body"
{
    "orders":
    [
        {
            "order_number": "CMO1234",
            "list_view": {
                "order_number": "CMO1234",
                "date": "29-01-2021 12:34",
                "status": "In progress"
            }
        }
    ]
}							
```

```json title="Response body when customer has no order"
{
    "orders": []
}							
```

## Response schema

| Name | Type | Required | Description |
| :- | :- | :- | :- |
| orders | Array | Yes | The parent object to store all order\_number objects in |
| order\_number | String | Yes | The number of the order which is also used as parameter for the Order details endpoint. |
| list\_view | Object | Yes | Inside `list_view` you can add custom fields to show information per order in the panel |
| custom\_field | String | No | This variable is placed inside `list_view`. You can rename the key and the value to anything you'd like -- as long as the value is returned in a string form |
